Bug 1736255 - freetds: Heap overflow in FreeTDS if UDT type is used with protocol 5.0
Summary: freetds: Heap overflow in FreeTDS if UDT type is used with protocol 5.0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1728191 1728192 1736256 1736257
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-01 15:33 UTC by Laura Pardo
Modified: 2019-11-02 19:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-01 16:18:48 UTC


Attachments (Terms of Use)

Description Laura Pardo 2019-08-01 15:33:29 UTC
A vulnerability was found in FreeTDS since version 0.95. By downgrading to protocol 5.0 and sending a UDT type, a malicious server could cause a heap overflow.


References:
https://bugzilla.novell.com/show_bug.cgi?id=1141132

Upstream Patch:
https://github.com/FreeTDS/freetds/commit/0df4eb82a0e3ff844e373d7c9f9c6c813925e2ac

Comment 1 Laura Pardo 2019-08-01 15:33:49 UTC
Created freetds tracking bugs for this issue:

Affects: epel-7 [bug 1736257]
Affects: fedora-all [bug 1736256]

Comment 2 Dmitry Butskoy 2019-08-01 16:18:48 UTC
Already fixed in freetds-1.1.11,the patch mentoned above (https://github.com/FreeTDS/freetds/commit/0df4eb82a0e3ff844e373d7c9f9c6c813925e2ac ) applied upstream in this version.

Comment 3 Salvatore Bonaccorso 2019-11-02 19:30:20 UTC
FTR, this is CVE-2019-13508


Note You need to log in before you can comment on or make changes to this bug.